OpenNMS API 1.2.9

## org.opennms.netmgt.poller.nrpe
Class CheckNrpe

    java.lang.Object
      org.opennms.netmgt.poller.nrpe.CheckNrpe

public class CheckNrpe
extends java.lang.Object

Field Summary
`static int` `DEFAULT_PORT`
`static int` `DEFAULT_TIMEOUT`
`private static java.lang.String` `s_usage`

Constructor Summary
`CheckNrpe()`

Method Summary
`static NrpePacket` `executeQuery(java.lang.String host, int port, java.lang.String buffer, int padding)`
`static NrpePacket` `executeQuery(java.lang.String host, java.lang.String buffer)`
`static NrpePacket` `executeQuery(java.lang.String host, java.lang.String buffer, int padding)`
`static void` `main(java.lang.String[] argv)`
`static java.lang.String` `nextArg(java.lang.String[] argv, int i)`
`static NrpePacket` `sendPacket(short type, short resultCode, java.lang.String buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_TIMEOUT

    public static final int DEFAULT_TIMEOUT

See Also:
  Constant Field Values

### s_usage

    private static final java.lang.String s_usage

See Also:
  Constant Field Values

Constructor Detail

### CheckNrpe

    public CheckNrpe()

Method Detail

### executeQuery

    public static NrpePacket executeQuery(java.lang.String host,
                                          java.lang.String buffer)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeQuery

    public static NrpePacket executeQuery(java.lang.String host,
                                          java.lang.String buffer,
                                          int padding)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeQuery

    public static NrpePacket executeQuery(java.lang.String host,
                                          int port,
                                          java.lang.String buffer,
                                          int padding)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sendPacket

    public static NrpePacket sendPacket(short type,
                                        short resultCode,
                                        java.lang.String buffer)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### nextArg

    public static java.lang.String nextArg(java.lang.String[] argv,
                                           int i)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.